Subject: [tcpm] Some comments on draft-ietf-tcpm-rfc793bis

From: "Scharf, Michael" <[email-masked]>
Date: Sun, 21 Jul 2019 14:27:52 +0000

Hi Wes,

I went through draft-ietf-tcpm-rfc793bis-13 in the airplane. Here are some minor observations, basically editorial:

* Section 3.6 explains why the document uses the terms "security level" and "compartment" and in what specific context this may matter. However, these terms are used earlier in the document. I believe it could be useful to add a forward reference earlier in the document to Section 3.6 (and Appendix A.1), in particular for implementers who do not implement this. For instance, maybe one could add a forward reference in Section 3.2 Terminology, where these terms seem to be used for the first time.

* Section 3.7.4 defines the Nagle algorithm. The exact same definition is repeated in 3.8.6.2.1 (except for a reference). It is not clear to me why the definition must be repeated in 3.8.6.2.1. 

* Section 3.8 states: "The notation used is similar to most procedure or function calls in high level languages, but this usage is not meant to rule out trap type service calls (e.g., SVCs, UUOs, EMTs)." The acronyms SVCs, UUOs and EMTs have not been expanded in RFC 793. I wonder if I am really the only person who is not really familiar with those acronyms? In any case, I believe that "(e.g., SVCs, UUOs, EMTs)" could just be removed from the document.

* I wonder if Erratas should added to the references, in particular if there is an explicit reference to their content. An example would be Errata ID 4772, which is cited like an RFC. Probably this is a formal question to the IESG or the RFC editor... Anyway, I don't know the answer, but it is something we could probably try to find out.

* The Glossary includes terms that are not used in the document. I wonder if we really need to keep entries that maybe mattered in the original RFC 793 only. Actually, I don't even understand why RFC 793 included some entries (e.g., "1822", "leader"), as they do not even show up in the document body of RFC 793.

Finally, I want to note that the document by and large looks good to me and I really encourage others to read it, too.

Thanks

Michael

---

From: Wesley Eddy <[email-masked]>
Date: Mon, 22 Jul 2019 19:49:35 -0400

Hi Michael, thanks for the review.

All of your suggestions look pretty good to me, and I'll plan to apply 
them this week, except for the errata one, which seems like more of an 
open question at the moment.

For historical interest, I did a little homework on the mysterious 
acronym list "SVCs, UUOs, EMTs" refers to, and I think they are:

- SVC = Supervisor Call (IBM S/360)

- UUO = Unimplemented User Operations (DEC-10 system monitor call)

- EMT = Emulator Trap (PDP-11)

In any case, I agree with you that the sentence is more clear to a 
modern reader just by not including the mention of these examples!

---

From: "Scharf, Michael" <[email-masked]>
Date: Tue, 23 Jul 2019 11:29:17 +0000

I agree that we can leave the errata citation style as is. The RFC editor may have to sort this out.

BTW, I have tried to reverse engineer "SVC" myself and came to the same conclusion, but then I gave up. 

Thanks

Michael

> -----Original Message-----
> From: Wesley Eddy <[email-masked]>
> Sent: Tuesday, July 23, 2019 1:50 AM
> To: Scharf, Michael <[email-masked]>
> Cc: [email-masked] Extensions <[email-masked]>
> Subject: Re: Some comments on draft-ietf-tcpm-rfc793bis
> 
> > * Section 3.6 explains why the document uses the terms "security level"
> and "compartment" and in what specific context this may matter. However,
> these terms are used earlier in the document. I believe it could be useful to
> add a forward reference earlier in the document to Section 3.6 (and
> Appendix A.1), in particular for implementers who do not implement this. For
> instance, maybe one could add a forward reference in Section 3.2
> Terminology, where these terms seem to be used for the first time.
> >
> > * Section 3.7.4 defines the Nagle algorithm. The exact same definition is
> repeated in 3.8.6.2.1 (except for a reference). It is not clear to me why the
> definition must be repeated in 3.8.6.2.1.
> >
> > * Section 3.8 states: "The notation used is similar to most procedure or
> function calls in high level languages, but this usage is not meant to rule out
> trap type service calls (e.g., SVCs, UUOs, EMTs)." The acronyms SVCs, UUOs
> and EMTs have not been expanded in RFC 793. I wonder if I am really the
> only person who is not really familiar with those acronyms? In any case, I
> believe that "(e.g., SVCs, UUOs, EMTs)" could just be removed from the
> document.
> >
> > * I wonder if Erratas should added to the references, in particular if there is
> an explicit reference to their content. An example would be Errata ID 4772,
> which is cited like an RFC. Probably this is a formal question to the IESG or the
> RFC editor... Anyway, I don't know the answer, but it is something we could
> probably try to find out.
> >
> > * The Glossary includes terms that are not used in the document. I wonder
> if we really need to keep entries that maybe mattered in the original RFC 793
> only. Actually, I don't even understand why RFC 793 included some entries
> (e.g., "1822", "leader"), as they do not even show up in the document body
> of RFC 793.
> >
> > Finally, I want to note that the document by and large looks good to me
> and I really encourage others to read it, too.
> >
> > Thanks
> >
> > Michael